| Home | Libraries | People | FAQ | More

## Struct template result<This(First, Second)>

boost::proto::functional::make_pair::result<This(First, Second)>

## Synopsis

    // In header: <boost/proto/functional/std/utility.hpp>

    template<typename This, typename First, typename Second>
    struct result<This(First, Second)> {
      // types
      typedef std::pair<
            typename boost::remove_const<typename boost::remove_reference<First>::type>::type
          , typename boost::remove_const<typename boost::remove_reference<Second>::type>::type
        > type;
    };